CamelIMAPPStore
3
CAMEL Library

# CamelIMAPPStore

## Synopsis

                        CamelIMAPPStore;
    struct              pending_fetch;

## Description

## Details

### CamelIMAPPStore

    typedef struct {
    	CamelStore parent_object;

    	struct _CamelIMAPPStoreSummary *summary; /* in-memory list of folders */
    	struct _CamelIMAPPDriver *driver; /* IMAP processing engine */
    	struct _CamelDataCache *cache;

    	/* if we had a login error, what to show to user */
    	char *login_error;

    	GPtrArray *pending_list;
    } CamelIMAPPStore;

### struct pending_fetch

    struct pending_fetch {
    	struct _pending_fetch *next;
    	struct _pending_fetch *prev;

    	struct _CamelMessageInfo *info;
    };